<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" />
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" />
<h4 class="font-medium mb-3">Reconocimiento Facial</h4> 
 
<div class="row">
    <div class="col-lg-6">
        <div class="card w-100">
            <div class="card-body border-top">
        
      
  <input type="file" accept="image/*" capture="camera" id="camera" class="inputget">
  <header class="header">Captura Imágen</header>
  <div class="container-photo">
    <img id="photo" class="photo">
  </div>
  <footer class="footer">
    <button id="open" type="button" class="btn icon fas fa-camera-retro"></button>
  </footer>
   
 
</div>
</div>
      </div>
    </div>

    <script>

      window.onload = function(e){ 
      
      // Declare init HTML elements
      const camera = document.querySelector('#camera');
      const photo = document.querySelector('#photo');
      const open = document.querySelector('#open');
      
      // Event to active input type file
      open.addEventListener('click', function(){
        camera.click();
      });
      
      // Event on change content type file
      camera.addEventListener('change', function(e) {
        // Create url object and show Photo from BLOB Object.
        photo.src = URL.createObjectURL(e.target.files[0]);
      
        // Create Http Request Instance.
        const xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() {
          if (this.readyState == 4 && this.status == 200) console.log(xhttp.responseText);
        };
        // Create Data Form Instance.
        const formData = new FormData();
        // Add blob object into instance.
        formData.append("photo", e.target.files[0]);
        // Open and send data to endpoint /upload
        xhttp.open('POST', window.location.href + 'upload', true);
        xhttp.send(formData);
      });
      } 
       </script>